<?php
/**
 * General panel
 */
Kirki::add_panel( 'homepage', array(
	'title'          => esc_attr__( 'Homepage', 'editorpro' ),
	'description'    => esc_attr__( 'Customize the homepage settings.', 'editorpro' ),
	'priority'       => 125,
) );

/**
 * Blog index section
 */
Kirki::add_section( 'blog_index', array(
	'title'          => esc_attr__( 'Layout', 'editorpro' ),
	'priority'       => 1,
	'panel'          => 'homepage'
) );

/**
 * Blog layout
 */
Kirki::add_field( 'editorpro_options', array(
	'type'        => 'radio-image',
	'settings'    => 'blog_layout',
	'label'       => esc_attr__( 'Layout', 'editorpro' ),
	'section'     => 'blog_index',
	'default'     => 'right-sidebar',
	'choices'     => array(
		'right-sidebar'     => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/assets/img/rs.png',
		'left-sidebar'      => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/assets/img/ls.png',
		'full-width'        => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/assets/img/fw.png',
		'full-width-narrow' => trailingslashit( get_template_directory_uri() ) . 'inc/customizer/assets/img/fwn.png',
	),
) );

/**
 * Blog posts style
 */
Kirki::add_field( 'editorpro_options', array(
	'type'        => 'select',
	'settings'    => 'blog_style',
	'label'       => esc_attr__( 'Posts Style', 'editorpro' ),
	'section'     => 'blog_index',
	'default'     => 'list',
	'multiple'    => 1,
	'choices'     => array(
		'default'    => esc_attr__( 'Default', 'editorpro' ),
		'list'       => esc_attr__( 'List', 'editorpro' ),
		'alternate'  => esc_attr__( 'Alternate', 'editorpro' ),
		'grid'       => esc_attr__( 'Grid', 'editorpro' )
	),
) );

/**
 * Grid post style columns
 */
Kirki::add_field( 'editorpro_options', array(
	'type'        => 'select',
	'settings'    => 'blog_grid_columns',
	'label'       => esc_attr__( 'Grid Columns', 'editorpro' ),
	'section'     => 'blog_index',
	'default'     => 'two-columns',
	'choices'     => array(
		'two-columns'   => esc_attr__( 'Two Columns', 'editorpro' ),
		'three-columns' => esc_attr__( 'Three Columns', 'editorpro' ),
	),
	'required'    => array(
		array(
			'setting'  => 'blog_layout',
			'operator' => '==',
			'value'    => 'full-width',
		),
		array(
			'setting'  => 'blog_style',
			'operator' => '==',
			'value'    => 'grid',
		),
	),
) );

/**
 * Excerpt length
 */
Kirki::add_field( 'editorpro_options', array(
	'type'        => 'slider',
	'settings'    => 'excerpt',
	'label'       => esc_attr__( 'Excerpt Length', 'editorpro' ),
	'description' => esc_attr__( 'Control the blog excerpt length.', 'editorpro' ),
	'section'     => 'blog_index',
	'default'     => '20',
	'choices'      => array(
		'min'  => 20,
		'max'  => 100,
		'step' => 1,
	),
) );

/**
 * Pagination
 */
Kirki::add_field( 'editorpro_options', array(
	'type'        => 'radio',
	'settings'    => 'posts_pagination',
	'label'       => esc_attr__( 'Pagination', 'editorpro' ),
	'description' => esc_attr__( 'Pagination for blog & archives page.', 'editorpro' ),
	'section'     => 'blog_index',
	'default'     => 'number',
	'choices'     => array(
		'number'      => esc_attr__( 'Number', 'editorpro' ),
		'traditional' => esc_attr__( 'Next / Previous', 'editorpro' ),
	),
) );
